/**
 */
package books;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * A representation of the model object '<em><b>Book</b></em>'.
 * <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link books.Book#getTitle <em>Title</em>}</li>
 *   <li>{@link books.Book#getLanguage <em>Language</em>}</li>
 *   <li>{@link books.Book#getGenre <em>Genre</em>}</li>
 *   <li>{@link books.Book#getAuthors <em>Authors</em>}</li>
 *   <li>{@link books.Book#getTranslations <em>Translations</em>}</li>
 *   <li>{@link books.Book#getTranslatedFrom <em>Translated From</em>}</li>
 * </ul>
 * </p>
 *
 * @see books.BooksPackage#getBook()
 * @model
 * @generated
 */
public interface Book extends EObject {
	/**
	 * Returns the value of the '<em><b>Title</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Title</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Title</em>' attribute.
	 * @see #setTitle(String)
	 * @see books.BooksPackage#getBook_Title()
	 * @model
	 * @generated
	 */
	String getTitle();

	/**
	 * Sets the value of the '{@link books.Book#getTitle <em>Title</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Title</em>' attribute.
	 * @see #getTitle()
	 * @generated
	 */
	void setTitle(String value);

	/**
	 * Returns the value of the '<em><b>Language</b></em>' attribute.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Language</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Language</em>' attribute.
	 * @see #setLanguage(String)
	 * @see books.BooksPackage#getBook_Language()
	 * @model
	 * @generated
	 */
	String getLanguage();

	/**
	 * Sets the value of the '{@link books.Book#getLanguage <em>Language</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Language</em>' attribute.
	 * @see #getLanguage()
	 * @generated
	 */
	void setLanguage(String value);

	/**
	 * Returns the value of the '<em><b>Genre</b></em>' attribute.
	 * The literals are from the enumeration {@link books.Genre}.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Genre</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Genre</em>' attribute.
	 * @see books.Genre
	 * @see #setGenre(Genre)
	 * @see books.BooksPackage#getBook_Genre()
	 * @model
	 * @generated
	 */
	Genre getGenre();

	/**
	 * Sets the value of the '{@link books.Book#getGenre <em>Genre</em>}' attribute.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Genre</em>' attribute.
	 * @see books.Genre
	 * @see #getGenre()
	 * @generated
	 */
	void setGenre(Genre value);

	/**
	 * Returns the value of the '<em><b>Authors</b></em>' reference list.
	 * The list contents are of type {@link books.Author}.
	 * It is bidirectional and its opposite is '{@link books.Author#getBooks <em>Books</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Authors</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Authors</em>' reference list.
	 * @see books.BooksPackage#getBook_Authors()
	 * @see books.Author#getBooks
	 * @model opposite="books" required="true"
	 * @generated
	 */
	EList<Author> getAuthors();

	/**
	 * Returns the value of the '<em><b>Translations</b></em>' reference list.
	 * The list contents are of type {@link books.Translation}.
	 * It is bidirectional and its opposite is '{@link books.Translation#getSourceBook <em>Source Book</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Translations</em>' reference list isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Translations</em>' reference list.
	 * @see books.BooksPackage#getBook_Translations()
	 * @see books.Translation#getSourceBook
	 * @model opposite="sourceBook"
	 * @generated
	 */
	EList<Translation> getTranslations();

	/**
	 * Returns the value of the '<em><b>Translated From</b></em>' containment reference.
	 * It is bidirectional and its opposite is '{@link books.Translation#getTranslatedBook <em>Translated Book</em>}'.
	 * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Translated From</em>' containment reference isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * @return the value of the '<em>Translated From</em>' containment reference.
	 * @see #setTranslatedFrom(Translation)
	 * @see books.BooksPackage#getBook_TranslatedFrom()
	 * @see books.Translation#getTranslatedBook
	 * @model opposite="translatedBook" containment="true"
	 * @generated
	 */
	Translation getTranslatedFrom();

	/**
	 * Sets the value of the '{@link books.Book#getTranslatedFrom <em>Translated From</em>}' containment reference.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param value the new value of the '<em>Translated From</em>' containment reference.
	 * @see #getTranslatedFrom()
	 * @generated
	 */
	void setTranslatedFrom(Translation value);

} // Book
